
***** file: len_trim.f      <> $Revision: 1.1 $

*+**********************************************************************
      INTEGER FUNCTION len_trim ( string )
************************************************************************
*
*kwic len_trim -i- length of string w/o trailing blanks (portable version)
*
*  arguments:
*     string -- c , i  -- string
*
*  returns:
*     length of string without trailing blanks
*
*  comments:
*     provided for fortran-extended compatibility
*
*  history:
*     91-sep-07[tjg]: original version
*
*$Id: len_trim.f,v 1.1 2004/03/16 15:49:56 dtn Exp $
*-
      implicit none

*DECLARATIONS ----------------------------------------------------------

*---  passed variables...
      CHARACTER*(*) string

*USES

*---  local variables...
      INTEGER       i

*CODE len_trim ---------------------------------------------------------

      do i = len(string),1,-1
         len_trim = i
         if ( string(i:i) .ne. ' ' ) return
      enddo
      len_trim = 0

      END ! len_trim ---------------------------------------------------
