*+
*KWIC vdot.f
*
*$Id: vdot.f,v 1.2 2004/03/17 21:23:43 dtn Exp $
*
*Revisions:
*   93-Nov-08[T. Gaetz]
*      . /XCOMP/, /YCOMP/, /ZCOMP/:      add save stmt; move to include file
*      . change to IMPLICIT NONE
*      . add DOUBLE PRECISION to function declaration
*-
      DOUBLE PRECISION FUNCTION  VDOT (I, J)
C   /****************************************
C    *
C    *    PERKIN-ELMER CORPORATE COMPUTING
C    *      SOFTWARE ENGINEERING SECTION
C    *
C    *    VDOT FORTRAN
C    *    WRITTEN BY H. JACKSON  M/S 180  X (203) 762-4395
C    *            ON 05/29/80
C    *
C    *    UPDATE:   06/05/80
C    *    TIME:     11:36:24
C    *
C    ******************************************/
C
C DOT (SCALER) PRODUCT OF TWO VECTORS
C
C  INPUT ARGUMENTS :
C    I    : IV# FIRST VECTOR
C    J    : IV# SECOND VECTOR
C
C  OUTPUT FUNCTION :
C    VDOT : R*8 DOT PRODUCT TO BE FOUND
C
      IMPLICIT NONE

      include 'saosacLib/xyzcomp.h'   ! xv, yv, zv scratch arrays

      INTEGER I, J

      VDOT = XV(I) * XV(J) + YV(I) * YV(J) + ZV(I) * ZV(J)
      RETURN
      END
